<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2006, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

// Must include code to stop this file being access directly
if(!defined('WB_PATH')) { exit("Cannot access this file directly"); }

$database->query("DELETE FROM ".TABLE_PREFIX."mod_Brax_HighSlide_images  WHERE page_id = '$page_id' and section_id = '$section_id' and title=''"); 
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td align="left" width="50%">
		<input type="button" value="<?php echo $TEXT['ADD'].' '.$TEXT['IMAGE']; ?>" onclick="javascript: window.location = '<?php echo WB_URL; ?>/modules/Brax_HighSlide_Gallery/add_image.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>';" style="width: 100%;" />
	</td>
	<td align="right" width="50%">
		<input type="button" value="<?php echo $TEXT['SETTINGS']; ?>" onclick="javascript: window.location = '<?php echo WB_URL; ?>/modules/Brax_HighSlide_Gallery/modify_settings.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>';" style="width: 100%;" />
	</td>
</tr>
</table>

<br />

<h2><?php echo $TEXT['MODIFY'].'/'.$TEXT['DELETE'].' '.$TEXT['IMAGE']; ?></h2>

<?php

// Get settings
$query_settings = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_Brax_HighSlide_settings WHERE section_id = '$section_id'");
$settings = $query_settings->fetchRow();

/*
$fetch_content['ordering']
0 - ascending position
1 - descending position
2 - ascending title
3 - descending title
4 - ascending modified_when
5 - descending modified_when

orderby:
position=0
title=1
modified_when=2
*/

//replace Ordering value with DESC or ASC
$orderkey=$settings['ordering'];
if($orderkey == '4' or $orderkey == '5'){$orderby="modified_when";}
elseif($orderkey =='2' or $orderkey == '3'){$orderby="title";}
else{$orderby="position";}

if ($orderkey == '0' or $orderkey == '2' or $orderkey == '4') {
	$ordering = 'ASC';
	$moveupfile='move_up.php';
	$movedownfile='move_down.php';
} else {
	$ordering = 'DESC';
	$moveupfile='move_down.php';
	$movedownfile='move_up.php';
}
$query_total_num = $database->query("SELECT image_id FROM ".TABLE_PREFIX."mod_Brax_HighSlide_images WHERE section_id = '$section_id'  AND title != ''");
$total_num = $query_total_num->numRows();
$test="SELECT * FROM `".TABLE_PREFIX."mod_Brax_HighSlide_images` WHERE section_id = '$section_id' ORDER BY $orderby $ordering";
// Loop through existing images
$query_images = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_Brax_HighSlide_images` WHERE section_id = '$section_id' ORDER BY $orderby $ordering");
if($query_images->numRows() > 0) {
	$num_images = $query_images->numRows();
	$row = 'a';
	?>
	<table cellpadding="2" cellspacing="0" border="0" width="100%">
	<?php
	while($post = $query_images->fetchRow()) {
		$position=$post['position'];
		if ($settings['ordering'] == '0') {;}
			else {
				$position = $total_num-$position+1;
			};
		?>
		<tr class="row_<?php echo $row; ?>" height="20">
			<td width="20" style="padding-left: 5px;">
				<a href="<?php echo WB_URL; ?>/modules/Brax_HighSlide_Gallery/modify_image.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&image_id=<?php echo $post['image_id']; ?>" title="<?php echo $TEXT['MODIFY']; ?>">
					<img src="<?php echo ADMIN_URL; ?>/images/modify_16.png" border="0" alt="Modify - " />
				</a>
			</td>
			<td>
				<a href="<?php echo WB_URL; ?>/modules/Brax_HighSlide_Gallery/modify_image.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&image_id=<?php echo $post['image_id']; ?>">
					<?php echo stripslashes($post['title']); ?>
				</a>
			</td>
			<td width="80">
				<?php echo $TEXT['ACTIVE'].': '; if($post['active'] == 1) { echo $TEXT['YES']; } else { echo $TEXT['NO']; } ?>
			</td>
			<td width="20">
			<?php if($position != 1 and ($orderkey==1 or $orderkey==0)) { ?>
				<a href="<?php echo WB_URL; ?>/modules/Brax_HighSlide_Gallery/<?PHP echo $moveupfile; ?>?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&image_id=<?php echo $post['image_id']; ?>" title="<?php echo $TEXT['MOVE_UP']; ?>">
					<img src="<?php echo ADMIN_URL; ?>/images/up_16.png" border="0" alt="^" />
				</a>
			<?php } ?>
			</td>
			<td width="20">
			<?php if($position != $num_images  and ($orderkey==1 or $orderkey==0)) { ?>
				<a href="<?php echo WB_URL; ?>/modules/Brax_HighSlide_Gallery/<?PHP echo $movedownfile; ?>?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&image_id=<?php echo $post['image_id']; ?>" title="<?php echo $TEXT['MOVE_DOWN']; ?>">
					<img src="<?php echo ADMIN_URL; ?>/images/down_16.png" border="0" alt="v" />
				</a>
			<?php } ?>
			</td>
			<td width="20">
				<a href="javascript: confirm_link('<?php echo $TEXT['ARE_YOU_SURE']; ?>', '<?php echo WB_URL; ?>/modules/Brax_HighSlide_Gallery/delete_image.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&image_id=<?php echo $post['image_id']; ?>');" title="<?php echo $TEXT['DELETE']; ?>">
					<img src="<?php echo ADMIN_URL; ?>/images/delete_16.png" border="0" alt="X" />
				</a>
			</td>
		</tr>
		<?php
		// Alternate row color
		if($row == 'a') {
			$row = 'b';
		} else {
			$row = 'a';
		}
	}
	?>
	</table>
	<?php
} else {
	echo $TEXT['NONE_FOUND'];
}

?>
<br />