<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2006, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

require('../../config.php');

// Get id
if(!isset($_GET['image_id']) OR !is_numeric($_GET['image_id'])) {
	header("Location: ".ADMIN_URL."/pages/index.php");
} else {
	$image_id = $_GET['image_id'];
}

// Include WB admin wrapper script
require(WB_PATH.'/modules/admin.php');
if(LANGUAGE_LOADED) {
	if(!file_exists(WB_PATH.'/modules/Brax_HighSlide_Gallery/languages/'.LANGUAGE.'.php')) {
		require_once(WB_PATH.'/modules/Brax_HighSlide_Gallery/languages/EN.php');
	} else {
		require_once(WB_PATH.'/modules/Brax_HighSlide_Gallery/languages/'.LANGUAGE.'.php');
	}
}

// Get header and footer
$query_content = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_Brax_HighSlide_images WHERE image_id = '$image_id'");
$fetch_content = $query_content->fetchRow();

// image file extension
$ext = $fetch_content['extension'];
?>

<style type="text/css">
.setting_name {
	vertical-align: top;
}
</style>

<form name="modify" action="<?php echo WB_URL; ?>/modules/Brax_HighSlide_Gallery/save_image.php" method="post" enctype="multipart/form-data" style="margin: 0;">

<input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
<input type="hidden" name="page_id" value="<?php echo $page_id; ?>">
<input type="hidden" name="image_id" value="<?php echo $image_id; ?>">
<input type="hidden" name="link" value="<?php echo $fetch_content['link']; ?>">

<table class="row_a" cellpadding="2" cellspacing="0" border="0" width="100%">
	<tr>
		<td colspan="2"><strong><?php echo $TEXT['MODIFY'].'/'.$TEXT['DELETE'].' '.$TEXT['IMAGE']; ?></strong></td>
	</tr>
	<tr>
		<td class="setting_name" width="15%"><?php echo $TEXT['TITLE']; ?>:</td>
		<td class="setting_name"><input type="text" name="title" value="<?php echo stripslashes($fetch_content['title']); ?>" style="width: 98%;" maxlength="255" /></td>
	</tr>
	<tr>
		<td class="setting_name" width="15%"><?php echo $GTEXT['ALTTITLE']; ?>:</td>
		<td class="setting_name"><input type="text" name="alttitle" value="<?php echo stripslashes($fetch_content['alttitle']); ?>" style="width: 98%;" maxlength="255" /></td>
	</tr>
	<tr>
		<td class="setting_name" width="15%"><?php echo $TEXT['IMAGE']; ?>:</td>
		<?php if(file_exists(WB_PATH.MEDIA_DIRECTORY.'/Brax_HighSlide_Gallery_gallery/image'.$image_id.'.'.$ext)) { ?>
		<td class="setting_name"><a href="<?php echo WB_URL.MEDIA_DIRECTORY; ?>/Brax_HighSlide_Gallery_gallery/image<?php echo $image_id; ?>.<?= $ext ?>" target="_blank"><?php echo $TEXT['VIEW']; ?></a>
			&nbsp;
			<input type="checkbox" name="delete_image" id="delete_image" value="true" />
			<a href="javascript: toggle_checkbox('delete_image');"><?php echo $TEXT['DELETE']; ?></a>
		</td>
		<?php } else { ?>
		<td class="setting_name"><input type="file" name="image" /></td>
		<?php } ?>
	</tr>
	<tr>
		<td class="setting_name" width="15%"><?php echo $TEXT['DESCRIPTION']; ?>:</td>
		<td class="setting_name"><textarea name="description" id="description" style="width: 98%; height: 100px;"><?php echo stripslashes($fetch_content['description']); ?></textarea></td>
	</tr>
	<tr>
		<td class="setting_name" width="15%"><?php echo $TEXT['ACTIVE']; ?>:</td>
		<td class="setting_name"><input type="radio" name="active" id="active_true" value="1" <?php if($fetch_content['active'] == 1) { echo ' checked'; } ?> />
			<a href="#" onclick="javascript: document.getElementById('active_true').checked = true;">
			<?php echo $TEXT['YES']; ?>
			</a>
			&nbsp;
			<input type="radio" name="active" id="active_false" value="0" <?php if($fetch_content['active'] == 0) { echo ' checked'; } ?> />
			<a href="#" onclick="javascript: document.getElementById('active_false').checked = true;">
			<?php echo $TEXT['NO']; ?>
			</a>
		</td>
	</tr>
</table>

<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr>
		<td align="left">
			<input name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;"></form>
		</td>
		<td align="right">
			<input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id; ?>';" style="width: 100px; margin-top: 5px;" />
		</td>
	</tr>
</table>

<?php

// Print admin footer
$admin->print_footer();

?>