<?php



/*



 Website Baker Project <http://www.websitebaker.org/>

 Copyright (C) 2004-2005, Ryan Djurovich



 Website Baker is free software; you can redistribute it and/or modify

 it under the terms of the GNU General Public License as published by

 the Free Software Foundation; either version 2 of the License, or

 (at your option) any later version.



 Website Baker is distributed in the hope that it will be useful,

 but WITHOUT ANY WARRANTY; without even the implied warranty of

 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

 GNU General Public License for more details.



 You should have received a copy of the GNU General Public License

 along with Website Baker; if not, write to the Free Software

 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA



*/



require('../../config.php');

//require(WB_PATH.'/framework/class.database.php');  //only required for WB 2.5.x

require(WB_PATH.'/framework/functions.php');



$database = new database(DB_URL);



// Creating the searh settings again (Just to be sure)

echo "<B>Creating search for Image Gallery again (Just to be sure)</B><BR>";

$database->query("DELETE FROM ".TABLE_PREFIX."search WHERE name = 'module' AND value = 'lightbox'");

$database->query("DELETE FROM ".TABLE_PREFIX."search WHERE extra = 'lightbox'");

	

	// Insert info into the search table

	// Module query info

	$field_info = array();

	$field_info['page_id'] = 'page_id';

	$field_info['title'] = 'page_title';

	$field_info['link'] = 'link';

	$field_info['description'] = 'description';

	$field_info['modified_when'] = 'modified_when';

	$field_info['modified_by'] = 'modified_by';

	$field_info = serialize($field_info);

	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('module', 'lightbox', '$field_info')");

	// Query start

	$query_start_code = "SELECT [TP]pages.page_id, [TP]pages.page_title, [TP]pages.link, [TP]pages.description, [TP]pages.modified_when, [TP]pages.modified_by FROM [TP]mod_Brax_HighSlide_images, [TP]mod_Brax_HighSlide_settings, [TP]pages WHERE ";

	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('query_start', '$query_start_code', 'lightbox')");

	// Query body

	$query_body_code = "

	[TP]pages.page_id = [TP]mod_Brax_HighSlide_images.page_id AND [TP]mod_Brax_HighSlide_images.title LIKE \'%[STRING]%\'

	OR [TP]pages.page_id = [TP]mod_Brax_HighSlide_images.page_id AND [TP]mod_Brax_HighSlide_images.description LIKE \'%[STRING]%\'

	OR [TP]pages.page_id = [TP]mod_Brax_HighSlide_settings.page_id AND [TP]mod_Brax_HighSlide_settings.header LIKE \'%[STRING]%\'

	OR [TP]pages.page_id = [TP]mod_Brax_HighSlide_settings.page_id AND [TP]mod_Brax_HighSlide_settings.footer LIKE \'%[STRING]%\'

	OR [TP]pages.page_id = [TP]mod_Brax_HighSlide_settings.page_id AND [TP]mod_Brax_HighSlide_settings.image_header LIKE \'%[STRING]%\'

	OR [TP]pages.page_id = [TP]mod_Brax_HighSlide_settings.page_id AND [TP]mod_Brax_HighSlide_settings.image_footer LIKE \'%[STRING]%\'";

	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('query_body', '$query_body_code', 'lightbox')");

	// Query end

	$query_end_code = "";	

	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('query_end', '$query_end_code', 'lightbox')");

	

	// Insert blank row (there needs to be at least on row for the search to work)

	$database->query("INSERT INTO ".TABLE_PREFIX."mod_Brax_HighSlide_images (section_id,page_id) VALUES ('0', '0')");

	$database->query("INSERT INTO ".TABLE_PREFIX."mod_Brax_HighSlide_settings (section_id,page_id) VALUES ('0', '0')");





// Adding the new fields to the database table mod_Brax_HighSlide_settings

echo "<BR><B>Adding new field to database table mod_Brax_HighSlide_settings</B><BR>";

if($database->query("ALTER TABLE `".TABLE_PREFIX."mod_Brax_HighSlide_settings` ADD `main_resize` INT NOT NULL AFTER `resize`")) {

	echo 'Database Field main_resize added successfully<br />';

}

echo mysql_error().'<br />';



if($database->query("ALTER TABLE `".TABLE_PREFIX."mod_Brax_HighSlide_settings` ADD `thmb_resize` INT NOT NULL AFTER `resize`")) {

	echo 'Database Field thmb_resize added successfully<br />';

}

echo mysql_error().'<br />';



// Insert default values in new tables

echo "<BR>";



$thmb_resize = '100';

$main_resize = '400';



$database->query("INSERT INTO ".TABLE_PREFIX."mod_Brax_HighSlide_settings (thmb_resize,main_resize) VALUES ('$thmb_resize','$main_resize')");



$query_dates = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_Brax_HighSlide_settings where section_id != 0 and page_id != 0");

while($result = $query_dates->fetchRow()) {

  echo "<B>Add default settings data to database for lightbox Section_id= ".$result['section_id']."</b><BR>";

  $section_id = $result['section_id'];



  if($database->query("UPDATE `".TABLE_PREFIX."mod_Brax_HighSlide_settings` SET `thmb_resize` = '$thmb_resize' WHERE `section_id` = $section_id")) {

    echo 'Database data thmb_resize added successfully<br>';

  }

  echo mysql_error().'<br />';



  if($database->query("UPDATE `".TABLE_PREFIX."mod_Brax_HighSlide_settings` SET `main_resize` = '$main_resize' WHERE `section_id` = $section_id")) {

    echo 'Database data main_resize added successfully<br>';

  }

  echo mysql_error().'<br />';

}



?>